﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using SRSDataAnalyzer.Data;

namespace SRSDataAnalyzer.Migrations
{
    [DbContext(typeof(DataContext))]
    partial class DataContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.8");

            modelBuilder.Entity("SRSDataAnalyzer.Data.DriverLapResult", b =>
                {
                    b.Property<string>("ID")
                        .HasColumnType("TEXT");

                    b.Property<string>("DriverRaceResultID")
                        .HasColumnType("TEXT");

                    b.Property<int>("LapNumber")
                        .HasColumnType("INTEGER");

                    b.Property<float>("LapTime")
                        .HasColumnType("REAL");

                    b.Property<int>("Position")
                        .HasColumnType("INTEGER");

                    b.Property<float>("Sector1Time")
                        .HasColumnType("REAL");

                    b.Property<float>("Sector2Time")
                        .HasColumnType("REAL");

                    b.Property<float>("Sector3Time")
                        .HasColumnType("REAL");

                    b.HasKey("ID");

                    b.HasIndex("DriverRaceResultID");

                    b.ToTable("DriverLapResult");
                });

            modelBuilder.Entity("SRSDataAnalyzer.Data.DriverRaceResult", b =>
                {
                    b.Property<string>("ID")
                        .HasColumnType("TEXT");

                    b.Property<string>("CarName")
                        .HasColumnType("TEXT");

                    b.Property<string>("DriverName")
                        .HasColumnType("TEXT");

                    b.Property<string>("DriverNationality")
                        .HasColumnType("TEXT");

                    b.Property<int>("Incidents")
                        .HasColumnType("INTEGER");

                    b.Property<int>("Points")
                        .HasColumnType("INTEGER");

                    b.Property<int>("Position")
                        .HasColumnType("INTEGER");

                    b.Property<string>("RaceProgressionID")
                        .HasColumnType("TEXT");

                    b.HasKey("ID");

                    b.HasIndex("RaceProgressionID");

                    b.ToTable("DriverRaceResult");
                });

            modelBuilder.Entity("SRSDataAnalyzer.Data.RaceProgression", b =>
                {
                    b.Property<string>("ID")
                        .HasColumnType("TEXT");

                    b.HasKey("ID");

                    b.ToTable("RaceProgressions");
                });

            modelBuilder.Entity("SRSDataAnalyzer.Data.DriverLapResult", b =>
                {
                    b.HasOne("SRSDataAnalyzer.Data.DriverRaceResult", "DriverRaceResult")
                        .WithMany("LapResults")
                        .HasForeignKey("DriverRaceResultID")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("SRSDataAnalyzer.Data.DriverRaceResult", b =>
                {
                    b.HasOne("SRSDataAnalyzer.Data.RaceProgression", "RaceProgression")
                        .WithMany("DriverRaceResults")
                        .HasForeignKey("RaceProgressionID")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
